Page MenuHomePhabricator

Display notifications from a single day in groups
Closed, ResolvedPublic

Description

Because a long, undifferentiated list is hard to read, we plan to group notifications on the redesigned special page by date. All notifications from a single day will be displayed within a box for that day. Here are some specific details of the design:

  • Each box will be labeled with the date the notifications were generated, in the format 12 Apr 2016, with two exceptions...
  • The box for the current date will be labeled Today 12 Apr 2016 and the box for yesterday will be labeled Yesterday 11 Apr 2016
  • A "Mark group as read" button will also sit above each box; clicking it will mark all the messages from that date as read. (This feature is described in T132738.)
  • Each page displays a maximum of 50 messages (T129363 ). When a day-group of messages straddles two pages, the date and Mark group as read features will be repeated at the top of the second page, where the group continues.
  • The relative date notation contained within each notification (3h, etc.) will be displayed, unchanged.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2016, 12:21 AM
jmatazzoni updated the task description. (Show Details)
Mooeypoo claimed this task.May 31 2016, 1:12 AM
Mooeypoo moved this task from Ready for Pickup to QA Review on the Collab-Team-2016-Apr-Jun-Q4 board.

This is resolved (at least an MVP version) with the new special page JS commit that was merged.

Etonkovidova added a subscriber: Etonkovidova.EditedMay 31 2016, 8:29 PM

per @Pginer-WMF
The date label is too faded (some usability concerns).

.mw-echo-ui-datedSubGroupListWidget-title-secondary {
    font-size: 1.5em;
    color: #CCC;
}

per @Pginer-WMF
The date label is too faded (some usability concerns).

.mw-echo-ui-datedSubGroupListWidget-title-secondary {
    font-size: 1.5em;
    color: #CCC;
}

I overheard this conversation and Pau said it needs to be #777 or darker.

Change 292033 had a related patch set uploaded (by Mooeypoo):
Darken the dates in the Special:Notifications groups

https://gerrit.wikimedia.org/r/292033

Change 292033 merged by jenkins-bot:
Darken the dates in the Special:Notifications groups

https://gerrit.wikimedia.org/r/292033

Checked in betalabs - the color for Yesterday in the screenshot below is #777.

jmatazzoni closed this task as Resolved.Jun 1 2016, 7:25 PM